<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CorpMaterialConstantData](./bitburner.corpmaterialconstantdata.md)

## CorpMaterialConstantData interface

Corporation material information

**Signature:**

```typescript
interface CorpMaterialConstantData 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[baseCost](./bitburner.corpmaterialconstantdata.basecost.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[baseMarkup](./bitburner.corpmaterialconstantdata.basemarkup.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[competitionBase](./bitburner.corpmaterialconstantdata.competitionbase.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[competitionRange](./bitburner.corpmaterialconstantdata.competitionrange.md)


</td><td>


</td><td>

\[min: number, max: number\]


</td><td>


</td></tr>
<tr><td>

[demandBase](./bitburner.corpmaterialconstantdata.demandbase.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[demandRange](./bitburner.corpmaterialconstantdata.demandrange.md)


</td><td>


</td><td>

\[min: number, max: number\]


</td><td>

Min and max demand


</td></tr>
<tr><td>

[maxVolatility](./bitburner.corpmaterialconstantdata.maxvolatility.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[name](./bitburner.corpmaterialconstantdata.name.md)


</td><td>


</td><td>

[CorpMaterialName](./bitburner.corpmaterialname.md)


</td><td>

Name of the material


</td></tr>
<tr><td>

[size](./bitburner.corpmaterialconstantdata.size.md)


</td><td>


</td><td>

number


</td><td>

Size of the material


</td></tr>
</tbody></table>

